<bugID>1381435<Summary>Touch events sometime don't register on tab bar (Windows 10)</Summary><Description>When using Firefox on a touch screen device, the tab strip currently responds very unpredictable. Sometimes touches on a background tab are registered, sometimes they aren't.
The curious thing is that Windows' touch indicator shows that the tap has hit the tab just fine, but it still won't trigger.
This is particularly annoying on smaller touch targets like pinned tabs or the new tab button.

See the video in the attachment for a demonstration.

FWIW, switching the UI density to touch doesn't change this behavior.

Since we are advertising touch-friendlyness in Photon, I suggest that it should be in scope for that.</Description></bugID>